{"openapi":"3.1.0","info":{"title":"Modify Delivery 📍","description":"The Modify Delivery API can be used to modify shipments that currently are on their way to the recipient 🚛</br></br><b>Shipments can be:</b><ul><li>Stopped and returned to the sender ⛔️</li><li>Rerouted to a new delivery address 📦</li><li>Change the cash on delivery amount 💵</li></ul>At the moment, Parcel Norway domestic services (with the exception of Pakke i postkassen and return services) are supported.","version":"1.0.0"},"servers":[{"url":"https://www.qa.mybring.com","description":"Generated server url"}],"security":[{"X-Mybring-API-Key":["read","write"],"X-Mybring-API-Uid":[]}],"paths":{"/modify-delivery/modifications/stop":{"post":{"tags":["stop-delivery-controller"],"summary":"Stop shipment","description":"This will stop the shipment and send it back to the sender.","operationId":"stopDelivery","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StopDeliveryRequest"},"examples":{"Stop shipment":{"description":"Stop shipment","value":{"shipmentNumber":"SHIPMENT_NUMBER"}}}}},"required":true},"responses":{"200":{"description":"Successfully submitted stop delivery order","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Success"},"examples":{"Successfully submitted stop delivery order":{"description":"Successfully submitted stop delivery order","value":{"code":"201","title":"CREATED","message":"Successfully submitted stop delivery order"}}}}}},"400":{"description":"Unable to handle request for stop delivery order","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Unable to handle request for stop delivery order":{"description":"Unable to handle request for stop delivery order","value":{"code":"400","title":"BAD_REQUEST","message":"Unable to handle request for stop shipment for SHIPMENT_NUMBER"}}}}}},"404":{"description":"Shipment not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Shipment not found":{"description":"Shipment not found","value":{"code":"404","title":"NOT_FOUND","message":"No tracking details for query SHIPMENT_NUMBER"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Forbidden":{"description":"Forbidden","value":{"code":"403","title":"FORBIDDEN","message":"Forbidden request for modify delivery for SHIPMENT_NUMBER"}}}}}}}}},"/modify-delivery/modifications/contactDetails":{"post":{"tags":["update-contact-details-controller"],"summary":"Update Contact Details","description":"This is used to update contact details (phone number, email or both) on a shipment","operationId":"updateContactDetails","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateContactDetailsRequest"},"examples":{"Update Contact Details":{"description":"Update Contact Details","value":{"consignmentNumber":"CONSIGNMENTNUMBER","phoneNumber":"+47XXXXXXXX","email":"email@test.com"}}}}},"required":true},"responses":{"201":{"description":"Successfully updated provided contact details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Success"},"examples":{"Successfully updated provided contact details":{"description":"Successfully updated provided contact details","value":{"code":"201","title":"CREATED","message":"Successfully submitted Update Contact Details request"}}}}}},"400":{"description":"Unable to handle request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Unable to handle request for CoD":{"description":"Unable to handle request for CoD","value":{"code":"400","title":"BAD_REQUEST","message":"Unable to handle request for Update Contact Details request for CONSIGNMENT NUMBER"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Forbidden":{"description":"Forbidden","value":{"code":"403","title":"FORBIDDEN","message":"Forbidden request for modify delivery for SHIPMENT_NUMBER"}}}}}},"404":{"description":"Shipment not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Shipment not found":{"description":"Shipment not found","value":{"code":"404","title":"NOT_FOUND","message":"No tracking details for query SHIPMENT_NUMBER"}}}}}}}}},"/modify-delivery/modifications/cod":{"post":{"tags":["cash-on-delivery-controller"],"summary":"Change cash on delivery","description":"This is used to change the cash on delivery amount on the shipment","operationId":"changeCod","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangeCodRequest"},"examples":{"Change COD":{"description":"Change COD","value":{"newCodAmount":"123.45","shipmentNumber":"SHIPMENT_NUMBER"}}}}},"required":true},"responses":{"201":{"description":"Successfully submitted change of delivery order","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Success"},"examples":{"Successfully submitted change of delivery order":{"description":"Successfully submitted change of delivery order","value":{"code":"201","title":"CREATED","message":"Successfully submitted the change in cash on delivery request"}}}}}},"400":{"description":"Unable to handle request for CoD","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Unable to handle request for CoD":{"description":"Unable to handle request for CoD","value":{"code":"400","title":"BAD_REQUEST","message":"Unable to handle request for change CoD for SHIPMENT_NUMBER"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Forbidden":{"description":"Forbidden","value":{"code":"403","title":"FORBIDDEN","message":"Forbidden request for modify delivery for SHIPMENT_NUMBER"}}}}}},"404":{"description":"Shipment not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Shipment not found":{"description":"Shipment not found","value":{"code":"404","title":"NOT_FOUND","message":"No tracking details for query SHIPMENT_NUMBER"}}}}}}}}},"/modify-delivery/modifications/address":{"post":{"tags":["change-address-controller"],"summary":"Change recipient address of delivery","description":"This is used to change the recipient delivery address.<h3>Criteria</h3>The following events should not be present on the shipment:<ul><li>Loaded for Delivery</li><li>Partly delivered due to damage</li><li>Home delivery ordered by recipient</li></ul>The shipment must <b>not</b> have any of the following VAS registered:<ul><li>Alternativt utleveringssted (0010)</li><li>Mottakerbestilt hjemlevering (1158, 1159)</li></ul>","operationId":"changeAddress","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangeAddressRequest"},"examples":{"Change recipient address":{"description":"Change recipient address","value":{"newAddress":{"addressLine1":"ADDRESS_LINE_1","addressLine2":"ADDRESS_LINE_1 CAN BE NULL OR EMPTY","countryCode":"NO","postalCode":"0121","city":"OSLO","phoneNumber":" IF NO CHANGE THEN SEND A SPACE","emailAddress":" IF NO CHANGE THEN SEND A SPACE"},"oldAddress":{"addressLine1":"ADDRESS_LINE_1","addressLine2":"ADDRESS_LINE_2","countryCode":"NO","postalCode":"2212","city":"CITY"},"shipmentNumber":"SHIPMENT_NUMBER","changeAddressFee":"This is the cost for changing the address on delivery . The value can be fetched by calling the below service 'Get price for change address'."}}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Success"},"examples":{"response":{"description":"response","value":{"code":"201","title":"CREATED","message":"Successfully submitted the change address request"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Forbidden":{"description":"Forbidden","value":{"code":"403","title":"FORBIDDEN","message":"Forbidden request for modify delivery for SHIPMENT_NUMBER"}}}}}},"404":{"description":"Shipment not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Shipment not found":{"description":"Shipment not found","value":{"code":"404","title":"NOT_FOUND","message":"No tracking details for query SHIPMENT_NUMBER"}}}}}},"412":{"description":"Modification not allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Modification not allowed":{"description":"Modification not allowed","value":{"code":"412","title":"PRECONDITION_FAILED","message":"Shipment is no longer eligible for modification."}}}}}}}}},"/modify-delivery/modifications/fetchUpdateContactData/{shipmentNumber}":{"get":{"tags":["update-contact-details-controller"],"summary":"Update contact data","description":"Update contact data for shipment","operationId":"fetchUpdateContactData","parameters":[{"name":"shipmentNumber","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Updated contact data for shipment","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RecipientContact"}}}},"503":{"description":"Shipment not found in Tracking API","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RecipientContactError"}}}}}}},"/modify-delivery/modifications/fetchChangeAddressData/{shipmentNumber}":{"get":{"tags":["change-address-controller"],"summary":"Current recipient address","description":"Get the current recipient address on the shipment.","operationId":"fetchChangeAddress","parameters":[{"name":"shipmentNumber","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RecipientAddress"},"examples":{"response":{"description":"response","value":{"recipientName":"RECIPIENT_NAME","addressLine1":"ADDRESS_LINE_1","addressLine2":"ADDRESS_LINE_2","city":"CITY","country":"COUNTRY","countryCode":"COUNTRY_CODE","postalCode":"POSTAL_CODE"}}}}}},"404":{"description":"Shipment not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Shipment not found":{"description":"Shipment not found","value":{"code":"404","title":"NOT_FOUND","message":"No tracking details for query SHIPMENT_NUMBER"}}}}}}}}},"/modify-delivery/modifications/customer/{customerNumber}":{"get":{"tags":["modifications-history-controller"],"summary":"Get modifications history","description":"Get list of all the shipments for the customer number on which COD, STOP Delivery and Change address have been done.","operationId":"getAllChanges","parameters":[{"name":"customerNumber","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HistoryResponse"},"examples":{"Modifications history example":{"description":"Modifications history example","value":{"request":[{"shipmentNumber":"SHIPMENT_NUMBER","packageNumber":"ITEM_NUMBER","requestType":"MODIFY_COD","oldValue":{"codAmount":"COD_AMOUNT","modifyRequestType":"MODIFY_COD"},"newValue":{"codAmount":"COD_AMOUNT","modifyRequestType":"MODIFY_COD"},"userName":"USER_WHO_PERFORMED_THE_OPERATION","senderCustomerNumber":"SENDER_CUSTOMER_NUMBER","recipientName":"RECIPIENT_NAME","createdTime":"CREATED_TIME"},{"shipmentNumber":"SHIPMENT_NUMBER","packageNumber":"ITEM_NUMBER","requestType":"STOP_DELIVERY","oldValue":null,"newValue":null,"userName":"USER_WHO_PERFORMED_THE_OPERATION","senderCustomerNumber":"SENDER_CUSTOMER_NUMBER","recipientName":"RECIPIENT_NAME","createdTime":"CREATED_TIME"},{"shipmentNumber":"SHIPMENT_NUMBER","packageNumber":"ITEM_NUMBER","requestType":"STOP_DELIVERY","oldValue":null,"newValue":null,"userName":"USER_WHO_PERFORMED_THE_OPERATION","senderCustomerNumber":"SENDER_CUSTOMER_NUMBER","recipientName":"RECIPIENT_NAME","createdTime":"CREATED_TIME"},{"shipmentNumber":"SHIPMENT_NUMBER","packageNumber":"ITEM_NUMBER","requestType":"CHANGE_ADDRESS","oldValue":{"countryCode":"NO","postalCode":"POSTAL_CODE","city":"CITY","addressLine1":"ADDRESS_LINE1","addressLine2":"ADDRESS_LINE2","modifyRequestType":"CHANGE_ADDRESS"},"newValue":{"countryCode":"NO","postalCode":"POSTAL_CODE","city":"CITY","addressLine1":"ADDRESS_LINE1","addressLine2":"ADDRESS_LINE2","phoneNumber":"IF CHANGE DONE THEN VALUE ELSE null","emailAddress":"IF CHANGE DONE THEN VALUE ELSE null","modifyRequestType":"CHANGE_ADDRESS"},"userName":"USER_WHO_PERFORMED_THE_OPERATION","senderCustomerNumber":"SENDER_CUSTOMER_NUMBER","recipientName":"RECIPIENT_NAME","createdTime":"CREATED_TIME"}],"selectCustomer":"CUSTOMER_NUMBER","userCustomers":[]}}}}}},"500":{"description":"Problem fetching history","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Problem fetching history.":{"description":"Problem fetching history.","value":{"code":"500","title":"INTERNAL_SERVER_ERROR","message":"Problem fetching history."}}}}}}}}},"/modify-delivery/modifications/city":{"get":{"tags":["change-address-controller"],"summary":"Get city","description":"Get city if valid postal code","operationId":"getCity","parameters":[{"name":"pnr","in":"query","required":true,"schema":{"type":"string"}},{"name":"country","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CitySuccessResponse"},"examples":{"Valid Example":{"description":"Valid Example","value":"OSLO"}}}}},"400":{"description":"BAD_REQUEST","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Invalid Example":{"description":"Invalid Example","value":{"status":"BAD_REQUEST","headers":{},"body":{"code":"400","title":"BAD_REQUEST","message":"There is problem accessing address book"}}}}}}}}}},"/modify-delivery/modifications/changeAddress/price/{shipmentNumber}/{newPostalCode}":{"get":{"tags":["change-address-controller"],"summary":"Get the cost for changing address on a shipment.","description":"Get the cost for changing address on a shipment. Currently the price for changing address is a fixed amount. It will give exactly the same amount as in the example below.","operationId":"getUpdatedPriceForChangeOfAddress","parameters":[{"name":"shipmentNumber","in":"path","required":true,"schema":{"type":"string"}},{"name":"newPostalCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceResponse"},"examples":{"Successful":{"description":"Successful","value":{"requestType":"CHANGE_ADDRESS","price":"206.25","currencyCode":"DKK"}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Unable to handle request for change address":{"description":"Unable to handle request for change address","value":{"code":"400","title":"BAD_REQUEST","message":"Bad Request for query SHIPMENT_NUMBER, can't be fetched for given shipment."}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Forbidden":{"description":"Forbidden","value":{"code":"403","title":"FORBIDDEN","message":"Forbidden request for modify delivery for SHIPMENT_NUMBER"}}}}}},"404":{"description":"Shipment not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Shipment not found":{"description":"Shipment not found","value":{"code":"404","title":"NOT_FOUND","message":"No tracking details for query SHIPMENT_NUMBER"}}}}}}}}},"/modify-delivery/isAdmin":{"get":{"tags":["customer-controller"],"operationId":"getIsAdmin","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdminResponse"}}}}}}},"/modify-delivery/allowed-modification":{"get":{"tags":["rule-controller"],"summary":"Allowed modifications","description":"Get the list of allowed modifications on a shipment along with failure causes.","operationId":"getAllowedModifications","parameters":[{"name":"q","in":"query","description":"Shipment number","required":true,"schema":{"type":"string","minLength":1},"example":707262014721},{"name":"language","in":"query","required":false,"schema":{"$ref":"#/components/schemas/ModificationLanguage"}}],"responses":{"200":{"description":"Available modifications for specified shipment number","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailableActionDto"},"examples":{"Available modifications":{"description":"Available modifications","value":{"allowedModifications":["MODIFY_COD","CHANGE_ADDRESS"],"failureCauses":{"STOP_DELIVERY":["PRODUCT_NOT_VALID_FOR_REQUEST"]},"userLang":"en"}}}}}},"404":{"description":"Shipment not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseError"},"examples":{"Shipment not found":{"description":"Shipment not found","value":{"code":"404","title":"NOT_FOUND","message":"No tracking details for query SHIPMENT_NUMBER"}}}}}}}}}},"components":{"schemas":{"HttpStatus":{"type":"string","enum":["100 CONTINUE","101 SWITCHING_PROTOCOLS","102 PROCESSING","103 EARLY_HINTS","103 CHECKPOINT","200 OK","201 CREATED","202 ACCEPTED","203 NON_AUTHORITATIVE_INFORMATION","204 NO_CONTENT","205 RESET_CONTENT","206 PARTIAL_CONTENT","207 MULTI_STATUS","208 ALREADY_REPORTED","226 IM_USED","300 MULTIPLE_CHOICES","301 MOVED_PERMANENTLY","302 FOUND","302 MOVED_TEMPORARILY","303 SEE_OTHER","304 NOT_MODIFIED","305 USE_PROXY","307 TEMPORARY_REDIRECT","308 PERMANENT_REDIRECT","400 BAD_REQUEST","401 UNAUTHORIZED","402 PAYMENT_REQUIRED","403 FORBIDDEN","404 NOT_FOUND","405 METHOD_NOT_ALLOWED","406 NOT_ACCEPTABLE","407 PROXY_AUTHENTICATION_REQUIRED","408 REQUEST_TIMEOUT","409 CONFLICT","410 GONE","411 LENGTH_REQUIRED","412 PRECONDITION_FAILED","413 PAYLOAD_TOO_LARGE","413 REQUEST_ENTITY_TOO_LARGE","414 URI_TOO_LONG","414 REQUEST_URI_TOO_LONG","415 UNSUPPORTED_MEDIA_TYPE","416 REQUESTED_RANGE_NOT_SATISFIABLE","417 EXPECTATION_FAILED","418 I_AM_A_TEAPOT","419 INSUFFICIENT_SPACE_ON_RESOURCE","420 METHOD_FAILURE","421 DESTINATION_LOCKED","422 UNPROCESSABLE_ENTITY","423 LOCKED","424 FAILED_DEPENDENCY","425 TOO_EARLY","426 UPGRADE_REQUIRED","428 PRECONDITION_REQUIRED","429 TOO_MANY_REQUESTS","431 REQUEST_HEADER_FIELDS_TOO_LARGE","451 UNAVAILABLE_FOR_LEGAL_REASONS","500 INTERNAL_SERVER_ERROR","501 NOT_IMPLEMENTED","502 BAD_GATEWAY","503 SERVICE_UNAVAILABLE","504 GATEWAY_TIMEOUT","505 HTTP_VERSION_NOT_SUPPORTED","506 VARIANT_ALSO_NEGOTIATES","507 INSUFFICIENT_STORAGE","508 LOOP_DETECTED","509 BANDWIDTH_LIMIT_EXCEEDED","510 NOT_EXTENDED","511 NETWORK_AUTHENTICATION_REQUIRED"]},"Success":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/HttpStatus"},"title":{"type":"string"},"message":{"type":"string"}},"required":["message","status","title"]},"ParcelHubResponseError":{"type":"string","enum":["PH_VALIDATION_ERROR","PH_NOT_FOUND_ERROR","PH_PRECONDITION_ERROR"]},"ResponseError":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/HttpStatus"},"message":{"type":"string"},"phErrorCode":{"$ref":"#/components/schemas/ParcelHubResponseError"},"code":{"type":"integer","format":"int32"}},"required":["code","message","status"]},"StopDeliveryRequest":{"type":"object","properties":{"shipmentNumber":{"type":"string"}},"required":["shipmentNumber"]},"UpdateContactDetailsRequest":{"type":"object","properties":{"consignmentNumber":{"type":"string"},"phoneNumber":{"type":"string"},"email":{"type":"string"}},"required":["consignmentNumber"]},"ChangeCodRequest":{"type":"object","properties":{"newCodAmount":{"type":"number"},"shipmentNumber":{"type":"string"},"changeCodFee":{"type":"number"},"currencyCode":{"type":"string"}},"required":["changeCodFee","currencyCode","newCodAmount","shipmentNumber"]},"ChangeAddressRequest":{"type":"object","properties":{"shipmentNumber":{"type":"string"},"oldAddress":{"$ref":"#/components/schemas/OldAddress"},"newAddress":{"$ref":"#/components/schemas/NewAddress"},"changeAddressFee":{"type":"number"},"currencyCode":{"type":"string"}},"required":["changeAddressFee","currencyCode","newAddress","oldAddress","shipmentNumber"]},"CountryCode":{"type":"string","enum":["NO","SE","DK"]},"NewAddress":{"type":"object","properties":{"countryCode":{"$ref":"#/components/schemas/CountryCode"},"postalCode":{"type":"string"},"city":{"type":"string"},"addressLine1":{"type":"string"},"addressLine2":{"type":"string"},"phoneNumber":{"type":"string"},"emailAddress":{"type":"string"}},"required":["addressLine1","city","countryCode","postalCode"]},"OldAddress":{"type":"object","properties":{"countryCode":{"$ref":"#/components/schemas/CountryCode"},"postalCode":{"type":"string"},"city":{"type":"string"},"addressLine1":{"type":"string"},"addressLine2":{"type":"string"}},"required":["addressLine1","city","countryCode","postalCode"]},"RecipientContact":{"type":"object","properties":{"recipientMobileNumber":{"type":"string"},"recipientEmailAddress":{"type":"string"},"recipientCountryCode":{"type":"string"},"resultType":{"$ref":"#/components/schemas/ResponseResultType"}},"required":["resultType"]},"ResponseResultType":{"type":"string","enum":["SUCCESS","ERROR","NOT_FOUND","BAD_REQUEST"]},"RecipientContactError":{"type":"object","properties":{"code":{"$ref":"#/components/schemas/HttpStatus"},"title":{"type":"string"},"message":{"type":"string"},"resultType":{"$ref":"#/components/schemas/ResponseResultType"}},"required":["code","message","resultType","title"]},"RecipientAddress":{"type":"object","properties":{"recipientName":{"type":"string"},"addressLine1":{"type":"string"},"addressLine2":{"type":"string"},"city":{"type":"string"},"country":{"type":"string"},"countryCode":{"type":"string"},"postalCode":{"type":"string"}}},"HistoryRequest":{"type":"object","properties":{"shipmentNumber":{"type":"string"},"packageNumber":{"type":"string"},"requestType":{"$ref":"#/components/schemas/ModificationType"},"oldValue":{"$ref":"#/components/schemas/ModifyRequestAttributes"},"newValue":{"$ref":"#/components/schemas/ModifyRequestAttributes"},"userName":{"type":"string"},"senderCustomerNumber":{"type":"string"},"createdTime":{"type":"string","format":"date-time"}},"required":["packageNumber","senderCustomerNumber","shipmentNumber","userName"]},"HistoryResponse":{"type":"object","properties":{"request":{"type":"array","items":{"$ref":"#/components/schemas/HistoryRequest"}},"selectCustomer":{"type":"string"}},"required":["request","selectCustomer"]},"ModificationType":{"type":"string","enum":["MODIFY_COD","STOP_DELIVERY","CHANGE_ADDRESS","UPDATE_CONTACT_DETAILS","UNKNOWN_REQUEST","ALL"]},"ModifyRequestAttributes":{},"CitySuccessResponse":{"type":"object","properties":{"city":{"type":"string"}},"required":["city"]},"PriceResponse":{"type":"object","properties":{"requestType":{"$ref":"#/components/schemas/ModificationType"},"price":{"type":"string"},"currencyCode":{"type":"string"}},"required":["currencyCode","price","requestType"]},"AdminResponse":{"type":"object","properties":{"isAdmin":{"type":"boolean"}},"required":["isAdmin"]},"AvailableActionDto":{"type":"object","properties":{"allowedModifications":{"type":"array","items":{"$ref":"#/components/schemas/ModificationType"}},"failureCauses":{"type":"object","additionalProperties":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/ConsignmentIsNotDomesticNorway"},{"$ref":"#/components/schemas/ConsignmentMissingRequiredInformation"},{"$ref":"#/components/schemas/ConsignmentRecipientCountryIsNonNordic"},{"$ref":"#/components/schemas/ConsignmentServiceNotAllowedForDomesticNorway"},{"$ref":"#/components/schemas/EventNotAllowed"},{"$ref":"#/components/schemas/InvalidPostalCodeAndEventCombination"},{"$ref":"#/components/schemas/InvalidPostalCodeFormat"},{"$ref":"#/components/schemas/ServiceNotValidForDomesticDenmarkConsignment"},{"$ref":"#/components/schemas/ServiceNotValidForRequest"},{"$ref":"#/components/schemas/ShipmentWithoutCodPackage"},{"$ref":"#/components/schemas/VasNotValidForRequest"},{"$ref":"#/components/schemas/DisallowedEvent"},{"$ref":"#/components/schemas/DisallowedStatus"},{"$ref":"#/components/schemas/Disallowed"},{"$ref":"#/components/schemas/RequiredMissing"}]}}},"termsAndConditionsUrl":{"type":"string"},"failureCauseInfo":{"$ref":"#/components/schemas/FailureCauseInfo"}},"required":["allowedModifications","failureCauses","termsAndConditionsUrl"]},"ConsignmentIsNotDomesticNorway":{"allOf":[{"$ref":"#/components/schemas/FailureCause"}],"required":["reason"]},"ConsignmentMissingRequiredInformation":{"allOf":[{"$ref":"#/components/schemas/FailureCause"},{"type":"object","properties":{"missingInfo":{"$ref":"#/components/schemas/MissingInformation"}}}],"required":["missingInfo","reason"]},"ConsignmentRecipientCountryIsNonNordic":{"allOf":[{"$ref":"#/components/schemas/FailureCause"}],"required":["reason"]},"ConsignmentServiceNotAllowedForDomesticNorway":{"allOf":[{"$ref":"#/components/schemas/FailureCause"}],"required":["reason"]},"Disallowed":{"allOf":[{"$ref":"#/components/schemas/VasNotValidForRequest"},{"type":"object","properties":{"vasCode":{"type":"string"}}}],"required":["reason","vasCode"]},"DisallowedEvent":{"allOf":[{"$ref":"#/components/schemas/EventNotAllowed"},{"type":"object","properties":{"event":{"$ref":"#/components/schemas/Event"},"status":{"$ref":"#/components/schemas/EventStatus"}}}],"required":["event","reason","status"]},"DisallowedStatus":{"allOf":[{"$ref":"#/components/schemas/EventNotAllowed"},{"type":"object","properties":{"status":{"$ref":"#/components/schemas/EventStatus"}}}],"required":["reason","status"]},"Event":{"type":"object","properties":{"eventCode":{"type":"string"},"eventCause":{"type":"string"},"eventMeasure":{"type":"string"}},"required":["eventCause","eventCode","eventMeasure"]},"EventNotAllowed":{"allOf":[{"$ref":"#/components/schemas/FailureCause"}],"required":["reason"]},"EventStatus":{"type":"string","enum":["PRE_NOTIFIED","DELIVERED","DELIVERED_SENDER","TRANSPORT_TO_RECIPIENT","DEVIATION","RETURN","DAMAGED","LOST","PARTLY_DELIVERED","PARTLY_DELIVERED_DUE_TO_DAMAGE","DELIVERY_STOPPED","HOME_DELIVERY","IRRELEVANT_EVENT_FOR_MODIFY_DELIVERY","SUBMITTED_POST_TERMINAL","READY_FOR_PICKUP"]},"FailureCause":{"type":"object","properties":{"reason":{"type":"string"}},"required":["reason"]},"FailureCauseInfo":{"type":"object","properties":{"title":{"type":"string"},"termsAndServicePrefix":{"type":"string"},"termsAndServiceText":{"type":"string"}},"required":["termsAndServicePrefix","termsAndServiceText","title"]},"InvalidPostalCodeAndEventCombination":{"allOf":[{"$ref":"#/components/schemas/FailureCause"},{"type":"object","properties":{"event":{"$ref":"#/components/schemas/Event"},"postalCode":{"type":"integer","format":"int32"}}}],"required":["event","postalCode","reason"]},"InvalidPostalCodeFormat":{"allOf":[{"$ref":"#/components/schemas/FailureCause"},{"type":"object","properties":{"postalCode":{"type":"string"}}}],"required":["postalCode","reason"]},"MissingInformation":{"type":"string","enum":["CONSIGNMENT","RECIPIENT_COUNTRY_CODE","RECIPIENT_POSTAL_CODE","SENDER_COUNTRY_CODE","SENDER_CUSTOMER_NUMBER"]},"RequiredMissing":{"allOf":[{"$ref":"#/components/schemas/VasNotValidForRequest"},{"type":"object","properties":{"requiredVasCodes":{"type":"array","items":{"type":"string"},"uniqueItems":true}}}],"required":["reason","requiredVasCodes"]},"ServiceNotValidForDomesticDenmarkConsignment":{"allOf":[{"$ref":"#/components/schemas/FailureCause"}],"required":["reason"]},"ServiceNotValidForRequest":{"allOf":[{"$ref":"#/components/schemas/FailureCause"},{"type":"object","properties":{"serviceCode":{"type":"string"}}}],"required":["reason","serviceCode"]},"ShipmentWithoutCodPackage":{"allOf":[{"$ref":"#/components/schemas/FailureCause"}],"required":["reason"]},"VasNotValidForRequest":{"allOf":[{"$ref":"#/components/schemas/FailureCause"}],"required":["reason"]},"ModificationLanguage":{"type":"string","enum":["NO","SV","DA","EN"]}},"securitySchemes":{"X-Mybring-API-Key":{"type":"apiKey","description":"Your Mybring API key","name":"X-Mybring-API-Key","in":"header","scheme":"basic"},"X-Mybring-API-Uid":{"type":"apiKey","description":"API user email","name":"X-Mybring-API-Uid","in":"header","scheme":"basic"}}}}